<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
            <section name="NASA.CONSOFT.Satelites.Guardata.Core.My.MySettings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <system.diagnostics>
        <sources>
            <!-- En esta sección se define la configuración del registro para My.Application.Log -->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog"/>
                    <!-- Quite los comentarios de la sección posterior para escribir en el registro de eventos de la aplicación -->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information" />
        </switches>
        <sharedListeners>
            <add name="FileLog"
                 type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL"
                 initializeData="FileLogWriter"/>
            <!-- Quite los comentarios de la sección posterior y reemplace APPLICATION_NAME con el nombre de su aplicación para escribir en el registro de eventos de la aplicación -->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
    <applicationSettings>
        <NASA.CONSOFT.Satelites.Guardata.Core.My.MySettings>
            <setting name="GuardataCore_v1_3_FacturakService_Service1" serializeAs="String">
                <value>http://www.facturak.com.mx/FacturakService/Service1.asmx</value>
            </setting>
            <setting name="GuardataCore_v1_3_FacturakMxService_Service1" serializeAs="String">
                <value>http://www.facturak.mx/FacturakService/Service1.asmx</value>
            </setting>
            <setting name="GuardataCore_v1_3_FacturakCFDIService_Service" serializeAs="String">
                <value>http://www.facturak.com.mx/CFDIService/Service.asmx</value>
            </setting>
        </NASA.CONSOFT.Satelites.Guardata.Core.My.MySettings>
    </applicationSettings>
    <system.serviceModel>
        <bindings>
            <basicHttpBinding>
                <binding name="BasicHttpBinding_IConsultaCFDIService">
                    <security mode="Transport" />
                </binding>
            </basicHttpBinding>
        </bindings>
        <client>
            <endpoint address="https://consultaqr.facturaelectronica.sat.gob.mx/ConsultaCFDIService.svc"
                binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IConsultaCFDIService"
                contract="ConsultaCFDI.IConsultaCFDIService" name="BasicHttpBinding_IConsultaCFDIService" />
        </client>
    </system.serviceModel>
</configuration>
